Subject: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE (device)' failed"

From: Joe Corneli <[email-masked]>
Date: Tue, 16 Aug 2022 11:14:28 +0100

Po Lu writes:

> Joe Corneli <[email-masked]> writes:
>
>> Joe Corneli writes:
>>
>>> Hm, I think I missed the obvious ones.  Have added:
>>>
>>> sudo apt-get install libgtk-3-0-dbgsym libgtk-3-bin-dbgsym
>>>
>>> If it crashes again, I’ll give more info.
>>
>> OK, I think I’m now able to provide the debugging info you were asking
>> for!  As far as I could tell the specific interaction that triggered
>> this was switching between windows.
>
> Thanks.  Unfortunately, the line number doesn't make much sense, so
> could you also type "l" at the debugger prompt and show the output?

joe@Proteus:~/emacs$ gdb src/emacs core.384524
...
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/home/joe/emacs/src/emacs'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  gdk_x11_device_manager_xi2_translate_event (xevent=<optimised out>, event=<optimised out>, 
    display=<optimised out>, translator=<optimised out>) at ../../../../../gdk/x11/gdkdevicemanager-xi2.c:1794
1794	../../../../../gdk/x11/gdkdevicemanager-xi2.c: No such file or directory.
[Current thread is 1 (Thread 0x7ffff2947040 (LWP 384524))]
(gdb) l
1789	in ../../../../../gdk/x11/gdkdevicemanager-xi2.c

-- 
Dr Joseph A. Corneli (https://github.com/holtzermann17)

HYPERREAL ENTERPRISES LTD is a private company limited by shares, incorporated
25th, June 2019 as Company Number 634284 on the Register of Companies for
Scotland (https://beta.companieshouse.gov.uk/company/SC634284).